Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::collision_node Class Reference

Inheritance diagram for openvrml::vrml97_node::collision_node:

[legend]
List of all members.

## Detailed Description

Collision node instances.

## Public Member Functions

| collision_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~collision_node () throw ()
| Destroy.
virtual bool | modified () const
| Determine whether the node has been modified.

## Private Attributes

exposedfield< sfbool > | collide_
| collide exposedField.
sfnode | proxy_
| proxy field.
sftime | collide_time_
| collideTime eventOut.
sftime_emitter | collide_time_emitter_
| collideTime eventOut.

## Friends

class | collision_class
| Class object for Collision nodes.

## Constructor & Destructor Documentation

openvrml::vrml97_node::collision_node::collision_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::collision_node::~collision_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

bool openvrml::vrml97_node::collision_node::modified | ( |  | ) | const`[virtual]`

Determine whether the node has been modified.

Returns:
  `true` if the node or one of its children has been modified, `false` otherwise.

Reimplemented from openvrml::vrml97_node::group_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::collision_node::collision_class`[friend]`

| Class object for Collision nodes.

## Member Data Documentation

sfbool openvrml::vrml97_node::collision_node::collide_ `[private]`

| collide exposedField.

sfnode openvrml::vrml97_node::collision_node::proxy_ `[private]`

| proxy field.

sftime openvrml::vrml97_node::collision_node::collide_time_ `[private]`

| collideTime eventOut.

sftime_emitter openvrml::vrml97_node::collision_node::collide_time_emitter_ `[private]`

| collideTime eventOut.